//requires: neepmeat

ServerEvents.recipes(event => {
	
	event.remove([
		"neepmeat:tools/projector",
		"neepmeat:fluid_transfer/fluid_drain",
		"neepmeat:kinetic/crusher"
	])
	
	event.shaped('neepmeat:grinder', [
		'BEB',
		'ADA',
		'CCC'
	], {
		A: 'geggy:hardened_plank',
		B: 'minecraft:yellow_dye',
		C: 'modern_industrialization:steel_plate',
		D: 'minecraft:piston',
		E: 'minecraft:hopper'
	})
	
	event.shaped('neepmeat:projector', [
		'B  ',
		'AD ',
		'C  '
	], {
		A: 'minecraft:rotten_flesh',
		B: 'modern_industrialization:analog_circuit',
		C: 'minecraft:book',
		D: 'neepmeat:enlightened_brain'
	})
	
	event.shaped('neepmeat:fluid_drain', [
		'BBB',
		'A A',
		'AAA'
	], {
		A: 'minecraft:copper_ingot',
		B: 'modern_industrialization:steel_plate'
	})
	
	event.smelting('geggy:unsavory_brain', 'neepmeat:brain_rough').cookingTime(150)
	
	event.custom({ 
		type: 'farmersdelight:cutting',
		ingredients: [{item: 'neepmeat:asbestos'}],
		tool: {type: 'farmersdelight:tool', tag: 'c:tools/pickaxes'},
		result: [
			{item: 'gegology:crushed_chrysotile_ore', count: 1},
			{item: 'gegology:crushed_chrysotile_ore', count: 1, chance: 0.25}
		],
		sound: 'minecraft:entity.item.break'
	})
	event.custom({ 
		type: 'create:pressing',
		ingredients: [{item: 'neepmeat:asbestos'}],
		results: [
			{item: 'gegology:crushed_chrysotile_ore', count: 1},
			{chance: 0.5, item: 'gegology:crushed_chrysotile_ore', count: 1}
		]
	})		
	event.custom({
		type: 'modern_industrialization:macerator',
		eu: 4,
		duration: 100,
		item_inputs: [{item: 'neepmeat:asbestos', amount: 1}],
		item_outputs: [
			{item: 'gegology:crushed_chrysotile_ore', amount: 1},
			{item: 'gegology:crushed_chrysotile_ore', amount: 1, probability: 0.75}
		]
	})
	
})
